##%define date_version 070710
%define cbq_version v0.7.3

Summary: Advanced IP routing and network device configuration tools
Name: iproute
Version: 2.6.29
Release: 3.1.moblin2
Group: Applications/System
Source: http://developer.osdl.org/dev/iproute2/download/iproute2-%{version}.tar.bz2
#Source1: iproute-doc-2.6.22.tar.gz
URL:	http://linux-net.osdl.org/index.php/Iproute2
Patch1: iproute2-2.6.9-kernel.patch
Patch2: iproute2-ss050901-opt_flags.patch
Patch3: iproute-ip-man.patch
Patch4: iproute2-2.6.25-segfault.patch
Patch5: iproute2-sharepath.patch
Patch6: iproute2-2.6.29-fix_headers_for_gre.patch
Patch7: iproute2-missing-arpd-directory.patch
Patch8: iproute2-display_ip4ip6tunnels.patch
Patch9: iproute2-2.6.29-tc_modules.patch
Patch10: iproute2-2.6.29-IPPROTO_IP_for_SA.patch

License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: tetex-latex tetex-dvips 
BuildRequires: flex  psutils db4-devel bison
# introduction new iptables (xtables) which broke ipt
Requires:      iptables >= 1.4.1

%description
The iproute package contains networking utilities (ip and rtmon, for
example) which are designed to use the advanced networking
capabilities of the Linux 2.4.x and 2.6.x kernel.

%package doc
Summary: ip and tc documentation with examples
Group:  Applications/System
License: GPLv2+

%description doc
The iproute documentation contains howtos and examples of settings.

%prep
%setup -q -n iproute2-%{version}
%patch1 -p1 -b .kernel
%patch2 -p1 -b .opt_flags
%patch3 -p1
%patch4 -p1 -b .seg
%patch5 -p1 -b .share
%patch6 -p1 -b .hdrs
%patch7 -p1 -b .arpd
%patch8 -p1 -b .ip4ip6
%patch9 -p1 -b .ipt
%patch10 -p1 -b .ipproto

%build
export LIBDIR=/%{_libdir}
export IPT_LIB_DIR=/%{_lib}/xtables

make %{?_smp_mflags}
#make -C doc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin \
	$RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT/%{_sysconfdir}/iproute2 \
	$RPM_BUILD_ROOT%{_datadir}/tc \
	$RPM_BUILD_ROOT%{_libdir}/tc

install -m 755 ip/ip ip/ifcfg ip/rtmon tc/tc $RPM_BUILD_ROOT/sbin
install -m 755 misc/ss misc/nstat misc/rtacct misc/lnstat misc/arpd $RPM_BUILD_ROOT%{_sbindir}
#netem is static
install -m 644 netem/normal.dist netem/pareto.dist netem/paretonormal.dist $RPM_BUILD_ROOT%{_datadir}/tc
install -m 644 man/man8/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8
rm -r $RPM_BUILD_ROOT/%{_mandir}/man8/ss.8
iconv -f latin1 -t utf8 < man/man8/ss.8 > $RPM_BUILD_ROOT/%{_mandir}/man8/ss.8
install -m 755 examples/cbq.init-%{cbq_version} $RPM_BUILD_ROOT/sbin/cbq
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/cbq

cp -f etc/iproute2/* $RPM_BUILD_ROOT/%{_sysconfdir}/iproute2
rm -rf $RPM_BUILD_ROOT/%{_libdir}/debug/*

#copy the tex file from source for time when tex was broken
#source1 was created from last functional version
#tar -xvzf %{SOURCE1}
#mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
#cd %{name}-doc-2.6.22
#cp -pR *.ps ../doc

#create example avpkt file
cat <<EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/cbq/cbq-0000.example
DEVICE=eth0,10Mbit,1Mbit
RATE=128Kbit
WEIGHT=10Kbit
PRIO=5
RULE=192.168.1.0/24
EOF

cat <<EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/cbq/avpkt
AVPKT=3000
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/iproute2
%doc README README.decnet README.iproute2+tc README.distribution README.lnstat
/sbin/*
%{_mandir}/man8/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
%{_sbindir}/*
%dir %{_datadir}/tc
%{_datadir}/tc/*
%dir %{_sysconfdir}/sysconfig/cbq
%config(noreplace) %{_sysconfdir}/sysconfig/cbq/*

%files doc
%defattr(-,root,root,-)
%doc examples
%doc RELNOTES

%changelog
* Thu Oct  1 2009 Anas Nashif <anas.nashif@intel.com> - 2.6.29
- Update to 2.6.29
* Thu Oct  1 2009 Anas Nashif <anas.nashif@intel.com> - 2.6.29
- Update to 2.6.29
* Tue Feb 17 2009 Martin Xu <martin.xu@intel.com> 2.6.28
- upgrade to 2.6.28 basing on Fedora package
